package com.bjsxt;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication

/**
 * 描述当前应用是一个使用openfeign技术开发的服务消费端
 * 属性package-扫描包，即使用@FeiginClient描述的接口所在包。此属性可省略，默认扫描当前工程所有包
 */
@EnableFeignClients
public class OpenfeignConsumerApplication {
    public static void main(String[] args) {
        SpringApplication.run(OpenfeignConsumerApplication.class, args);
    }
}
